Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGApi

    public interface SAGApi

It is the root node of outbound OTD for SAG eway.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGApi.Services` A set of Swift Message Serives, i.e.
`static interface` | `SAGApi.Solutions` A set of Swift Solutions, i.e.

Method Summary
`Configuration` | `getConfiguration()` It represents the eWay's Configuration.
`SAGConstants` | `getConstants()` The SAGConstants can be used in collaboration by users.
`Primitives` | `getPrimitives()` It holds all SNL primitives defined in SNL Specification (and Sw.dtd).
`RemoteApis` | `getRemoteApis()` It represents the RemoteApis for host adapter.
`SAGApi.Services` | `getServices()` It holds the message services like FileAct, InterAct, etc.
`java.lang.String` | `readSwiftDateTime()` Utility method - it can be used by both InterAct and FileAct.

Method Detail

### getConstants

    SAGConstants getConstants()

  The SAGConstants can be used in collaboration by users.

  Parameters:
    None.

  Returns:
    `SAGConstants` - Returns the SAGConstants object.
  Throws:
    None.

### getRemoteApis

    RemoteApis getRemoteApis()
                             throws SAGApplicationException

  It represents the RemoteApis for host adapter.

  Parameters:
    None.

  Returns:
    `RemoteApis` - Returns the RemoteApis object.
  Throws:
    `SAGApplicationException` - upon error.

### getServices

    SAGApi.Services getServices()
                                throws SAGApplicationException

  It holds the message services like FileAct, InterAct, etc.

  Parameters:
    None.

  Returns:
    `Services` - Returns the services object.
  Throws:
    `SAGApplicationException` - upon error.

### getPrimitives

    Primitives getPrimitives()
                             throws SAGApplicationException

  It holds all SNL primitives defined in SNL Specification (and Sw.dtd).

  Parameters:
    None.

  Returns:
    `Primitives` - Returns the Primitives object.
  Throws:
    `SAGApplicationException` - upon error.

### getConfiguration

    Configuration getConfiguration()
                                   throws SAGApplicationException

  It represents the eWay's Configuration.

  Parameters:
    None.

  Returns:
    `Configuration` - Returns the Configuration object.
  Throws:
    `SAGApplicationException` - upon error.

### readSwiftDateTime

    java.lang.String readSwiftDateTime()
                                       throws SAGApplicationException

  Utility method - it can be used by both InterAct and FileAct.

  Parameters:
    None.

  Returns:
    `String` - Returns the local date and time converted to UTC.
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.